﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Xml.Linq;
using System.Text;

namespace PR_check_UI
{
    public class HistoryItem
    {
        public string   URL     { get; set; }
        public DateTime Date    { get; set; }
        public int      Rank    { get; set; }

        /// <summary>
        /// override object.Equals
        /// </summary>
        /// <param name="obj"></param>
        /// <returns></returns>
        public override bool Equals(object obj)
        {
            if (obj == null || GetType() != obj.GetType())
            {
                return false;
            }

            HistoryItem OtherSite = (obj as HistoryItem);

            return (this.URL.Equals(OtherSite.URL));
        }

        /// <summary>
        /// override object.GetHashCode
        /// </summary>
        /// <returns></returns>
        public override int GetHashCode()
        {
            return this.URL.GetHashCode();
        }
    }
}
